2019-08-19 22:46 CEST

View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0006034Spring engineGeneralpublic2018-08-16 21:43
ReporterDeinFreund 
Assigned ToKloot 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version104.0 +git 
Target VersionFixed in Version 
Summary0006034: Command params not being correctly handled since 104.0.1-583-gc044f90
DescriptionIt seems some command params can be lost or otherwise scrambled. This leads to zk's terraform command no longer working, as well as other commands (patrol) failing to execute sometimes.
Steps To ReproduceStart latest ZK on any map, try to use a terraform command. It leads to a nil exception in LuaRules.

It also tends to happen when sending a large number of units to patrol at the same time. Some units will fail their command and do a patrol to the (0,0) corner instead.
Additional InformationWorks with 104.0.1-567-gc484c10
Doesn't work with 104.0.1-583-gc044f90
So maybe has something to do with https://github.com/spring/spring/commit/acbc7c679947ddadb2bc6cd957f1e37e7fd77ec0
TagsNo tags attached.
Checked infolog.txt for lua Errors
Attached Files

-Relationships
+Relationships

-Notes

~0019309

sprung (reporter)

Max command params is now 10 https://github.com/spring/spring/commit/acbc7c679947ddadb2bc6cd957f1e37e7fd77ec0#diff-9d69484434de3e0abe17ab785d17e7f4R101

~0019310

Kloot (developer)

Fix 10f807a1ce959dd4b4f019754406379da6212da8 committed to develop branch: fix 0006034
ZK's habit of shoving over 9000 parameters into custom
terraform commands is *of course* perfectly reasonable, repo: spring changeset id: 10510

~0019311

Kloot (developer)

Fix 4a410ab70b2d118e323aa0e2bf903e1bfa34e087 committed to maintenance branch: fix 0006034
ZK's habit of shoving over 9000 parameters into custom
terraform commands is *of course* perfectly reasonable, repo: spring changeset id: 10511
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2018-08-15 19:39 DeinFreund New Issue
2018-08-15 19:39 DeinFreund File Added: 20180815_193050_Hide_and_Seek_v03_104.0.1-567-gc484c10 maintenance.sdfz
2018-08-15 19:39 DeinFreund File Added: 20180815_193215_Hide_and_Seek_v03_104.0.1-583-gc044f90 maintenance.sdfz
2018-08-16 15:41 sprung Note Added: 0019309
2018-08-16 21:42 Kloot Changeset attached => spring develop 10f807a1
2018-08-16 21:42 Kloot Note Added: 0019310
2018-08-16 21:42 Kloot Assigned To => Kloot
2018-08-16 21:42 Kloot Status new => resolved
2018-08-16 21:42 Kloot Resolution open => fixed
2018-08-16 21:43 Kloot Changeset attached => spring maintenance 4a410ab7
2018-08-16 21:43 Kloot Note Added: 0019311
+Issue History